/*********************************************************************/
/* iso.c        v 1.0      by J.Sobczyk IAPW       1993.04.26  19:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* ISO 8859-2                                                        */
/* PN-93/T-42118 (equiv. ISO/IEC 10367:1991)                         */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*-------------------------------------------------------------------*/
code_tbl iso_8859_2_tbl = /* Latin 2 ISO 8859-2 */
  {
    { '\xB1',  'a' },
    { '\xE6',  'c' },
    { '\xEA',  'e' },
    { '\xB3',  'l' },
    { '\xF1',  'n' },
    { '\xF3',  'o' },
    { '\xB6',  's' },
    { '\xBC',  'x' },
    { '\xBF',  'z' },
    { '\xA1',  'A' },
    { '\xC6',  'C' },
    { '\xCA',  'E' },
    { '\xA3',  'L' },
    { '\xD1',  'N' },
    { '\xD3',  'O' },
    { '\xA6',  'S' },
    { '\xAC',  'X' },
    { '\xAF',  'Z' }
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void set_iso_8859_2( char *name )
  {
  if      (inp_type == TYPE_UNSPECIFIED)
    {
    inp_type   = TYPE_ISO_8859_2;
    inp_name   = name;
    inp_get    = table_get;
    inp_tbl    = &iso_8859_2_tbl;
    }
  else if (out_type == TYPE_UNSPECIFIED)
    {
    out_type   = TYPE_ISO_8859_2;
    out_name   = name;
    out_put    = table_put;
    out_tbl    = &iso_8859_2_tbl;
    }
  else
    {
    fprintf( stderr, "Too many switches\a\n" );
    help();
    }
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_iso_8859_2( void )
  {
  return table_test( &iso_8859_2_tbl );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_iso_8859_2( void )
  {
  tests[ TYPE_ISO_8859_2 ].key		= "-i";
  tests[ TYPE_ISO_8859_2 ].name		= "ISO 8859-2 Latin 2";
  tests[ TYPE_ISO_8859_2 ].set		= set_iso_8859_2;
  tests[ TYPE_ISO_8859_2 ].char_tst	= NULL;
  tests[ TYPE_ISO_8859_2 ].freq_tst	= test_iso_8859_2;
  }

/*********************************************************************/
