/*********************************************************************/
/* latin.c      v 1.0      by J.Sobczyk IAPW       1993.04.26  19:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* IBM Latin 2 (code page 852)                                       */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*-------------------------------------------------------------------*/
code_tbl latin_2_tbl = /* IBM Latin 2 */
  {
    { '\xA5',  'a' },
    { '\x86',  'c' },
    { '\xA9',  'e' },
    { '\x88',  'l' },
    { '\xE4',  'n' },
    { '\xA2',  'o' },
    { '\x98',  's' },
    { '\xAB',  'x' },
    { '\xBE',  'z' },
    { '\xA4',  'A' },
    { '\x8F',  'C' },
    { '\xA8',  'E' },
    { '\x9D',  'L' },
    { '\xE3',  'N' },
    { '\xE0',  'O' },
    { '\x97',  'S' },
    { '\x8D',  'X' },
    { '\xBD',  'Z' }
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void set_latin_2( char *name )
  {
  if      (inp_type == TYPE_UNSPECIFIED)
    {
    inp_type   = TYPE_LATIN_2;
    inp_name   = name;
    inp_get    = table_get;
    inp_tbl    = &latin_2_tbl;
    }
  else if (out_type == TYPE_UNSPECIFIED)
    {
    out_type   = TYPE_LATIN_2;
    out_name   = name;
    out_put    = table_put;
    out_tbl    = &latin_2_tbl;
    }
  else
    {
    fprintf( stderr, "Too many switches\a\n" );
    help();
    }
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_latin_2( void )
  {
  return table_test( &latin_2_tbl );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_latin_2( void )
  {
  tests[ TYPE_LATIN_2 ].key		= "-l";
  tests[ TYPE_LATIN_2 ].name		= "IBM Latin 2 (code page 852)";
  tests[ TYPE_LATIN_2 ].set		= set_latin_2;
  tests[ TYPE_LATIN_2 ].char_tst	= NULL;
  tests[ TYPE_LATIN_2 ].freq_tst	= test_latin_2;
  }

/*********************************************************************/
