/*********************************************************************/
/* iso.c        v 1.0      by J.Sobczyk IAPW       1993.04.26  19:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* Macintosh                                                         */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*-------------------------------------------------------------------*/
code_tbl macintosh_tbl = /* Macintosh */
  {
    { '\x88',  'a' },
    { '\x8D',  'c' },
    { '\xAB',  'e' },
    { '\xB8',  'l' },
    { '\xC4',  'n' },
    { '\x97',  'o' },
    { '\xE6',  's' },
    { '\x90',  'x' },
    { '\xFD',  'z' },
    { '\x84',  'A' },
    { '\x8C',  'C' },
    { '\xA2',  'E' },
    { '\xFC',  'L' },
    { '\xC1',  'N' },
    { '\xEE',  'O' },
    { '\xE5',  'S' },
    { '\x8F',  'X' },
    { '\xFB',  'Z' }
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void set_macintosh( char *name )
  {
  if      (inp_type == TYPE_UNSPECIFIED)
    {
    inp_type   = TYPE_MACINTOSH;
    inp_name   = name;
    inp_get    = table_get;
    inp_tbl    = &macintosh_tbl;
    }
  else if (out_type == TYPE_UNSPECIFIED)
    {
    out_type   = TYPE_MACINTOSH;
    out_name   = name;
    out_put    = table_put;
    out_tbl    = &macintosh_tbl;
    }
  else
    {
    fprintf( stderr, "Too many switches\a\n" );
    help();
    }
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_macintosh( void )
  {
  return table_test( &macintosh_tbl );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_macintosh( void )
  {
  tests[ TYPE_MACINTOSH ].key		= "-a";
  tests[ TYPE_MACINTOSH ].name		= "Apple Macintosh";
  tests[ TYPE_MACINTOSH ].set		= set_macintosh;
  tests[ TYPE_MACINTOSH ].char_tst	= NULL;
  tests[ TYPE_MACINTOSH ].freq_tst	= test_macintosh;
  }

/*********************************************************************/
