/*********************************************************************/
/* mazowia.c    v 1.0      by J.Sobczyk IAPW       1993.04.26  19:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* Mazowia                                                           */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl mazowia_tbl =
  {
    { '\x86',  'a' },
    { '\x8f',  'A' },
    { '\x8d',  'c' },
    { '\x95',  'C' },
    { '\x91',  'e' },
    { '\x90',  'E' },
    { '\x92',  'l' },
    { '\x9c',  'L' },
    { '\xa4',  'n' },
    { '\xa5',  'N' },
    { '\xa2',  'o' },
    { '\xa3',  'O' },
    { '\x9e',  's' },
    { '\x98',  'S' },
    { '\xa7',  'z' },
    { '\xa1',  'Z' },
    { '\xa6',  'x' },
    { '\xa0',  'X' }
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void set_mazowia( char *name )
  {
  if      (inp_type == TYPE_UNSPECIFIED)
    {
    inp_type   = TYPE_MAZOWIA;
    inp_name   = name;
    inp_get    = table_get;
    inp_tbl    = &mazowia_tbl;
    }
  else if (out_type == TYPE_UNSPECIFIED)
    {
    out_type   = TYPE_MAZOWIA;
    out_name   = name;
    out_put    = table_put;
    out_tbl    = &mazowia_tbl;
    }
  else
    {
    fprintf( stderr, "Too many switches\a\n" );
    help();
    }
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_mazowia( void )
  {
  return table_test( &mazowia_tbl );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_mazowia( void )
  {
  tests[ TYPE_MAZOWIA ].key		= "-m";
  tests[ TYPE_MAZOWIA ].name		= "Mazowia";
  tests[ TYPE_MAZOWIA ].set		= set_mazowia;
  tests[ TYPE_MAZOWIA ].char_tst	= NULL;
  tests[ TYPE_MAZOWIA ].freq_tst	= test_mazowia;
  }

/*********************************************************************/
