/*********************************************************************/
/* microvex.c   v 1.0      by J.Sobczyk IAPW       1993.04.26  19:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* Microvex                                                          */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*********************************************************************/
code_tbl microvex_tbl =
  {
    { '\xA0',  'a' },
    { '\x9B',  'c' },
    { '\x82',  'e' },
    { '\x9F',  'l' },
    { '\xA4',  'n' },
    { '\xA2',  'o' },
    { '\x87',  's' },
    { '\xA8',  'x' },
    { '\x91',  'z' },
    { '\x8F',  'A' },
    { '\x80',  'C' },
    { '\x90',  'E' },
    { '\x9C',  'L' },
    { '\xA5',  'N' },
    { '\x93',  'O' },
    { '\x98',  'S' },
    { '\x9D',  'X' },
    { '\x92',  'Z' }
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void set_microvex( char *name )
  {
  if      (inp_type == TYPE_UNSPECIFIED)
    {
    inp_type   = TYPE_MICROVEX;
    inp_name   = name;
    inp_get    = table_get;
    inp_tbl    = &microvex_tbl;
    }
  else if (out_type == TYPE_UNSPECIFIED)
    {
    out_type   = TYPE_MICROVEX;
    out_name   = name;
    out_put    = table_put;
    out_tbl    = &microvex_tbl;
    }
  else
    {
    fprintf( stderr, "Too many switches\a\n" );
    help();
    }
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_microvex( void )
  {
  return table_test( &microvex_tbl );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_microvex( void )
  {
  tests[ TYPE_MICROVEX ].key		= "-mv";
  tests[ TYPE_MICROVEX ].name		= "Microvex";
  tests[ TYPE_MICROVEX ].set		= set_microvex;
  tests[ TYPE_MICROVEX ].char_tst	= NULL;
  tests[ TYPE_MICROVEX ].freq_tst	= test_microvex;
  }

/*********************************************************************/
