/*********************************************************************/
/* polcnv.h     v 1.0      by J.Sobczyk IAPW       1993.04.26  19:00 */
/*                                                                   */
/* Polish document converter.                                        */
/*********************************************************************/
#define POL_NR		9
#define POL_CHAR	0x100

typedef char (code_tbl)[2*POL_NR][2];

extern int  inp_type;
extern char inp_prefix;
extern char *inp_name;
extern FILE *inp;
extern int  (*inp_get)( void );
extern code_tbl *inp_tbl;

extern int  out_type;
extern char out_prefix;
extern char *out_name;
extern FILE *out;
extern void (*out_put)( int ch );
extern code_tbl *out_tbl;

extern void help( void );
extern int  table_get( void );
extern void table_put( int ch );
extern int  table_test( code_tbl *table );

extern int  verbose_flag;

/*===================================================================*/
#define		TYPE_UNSPECIFIED	-1 
#define		TYPE_PREFIX		0
#define		TYPE_MAZOWIA		1
#define		TYPE_LATIN_2		2
#define		TYPE_ISO_8859_2		3
#define		TYPE_WINDOWS		4
#define		TYPE_MICROVEX		5
#define		TYPE_UNIA		6
#define		TYPE_ISO_6937_2		7
#define		TYPE_BRAIL		8
#define		TYPE_UNICODE		9
#define		TYPE_ISO_10646		10
#define		TYPE_MACINTOSH		11
#define		TYPE_FILE      		12
#define		TYPE_TEST      		13
#define		MAX_TEST		14 /* Must be greater than any TYPE */

extern void init_prefix( 	void );
extern void init_mazowia(	void );
extern void init_latin_2(	void );
extern void init_iso_8859_2(	void );
extern void init_windows(	void );
extern void init_microvex(	void );
extern void init_unia(		void );
extern void init_iso_6937_2(	void );
extern void init_brail(		void );
extern void init_unicode(	void );
extern void init_iso_10646(	void );
extern void init_macintosh(	void );
extern void init_file(		void );
extern void init_test(		void );

extern void set_prefix( char prefix, char *name );
extern void set_file(   char *table, char *name );
extern void dump_table( void );
/*********
extern void set_mazowia(	char *name );
extern void set_latin_2(	char *name );
extern void set_iso_8859_2(	char *name );
extern void set_windows(	char *name );
extern void set_microvex(	char *name );
extern void set_unia(		char *name );
extern void set_iso_6937_2(	char *name );
extern void set_brail(		char *name );
extern void set_unicode(	char *name );
extern void set_iso_10646(	char *name );
extern void set_macintosh(	char *name );
extern void set_test(		char *name );
********/
extern int  run_test( void );

/*===================================================================*/
#define MAX_SEQ	5
#define MAX_BUFF 100
typedef struct
  {
  char *key;
  void (*set)( char *file );
  void (*char_tst)( char *last_n );
  int  (*freq_tst)( void );
  char *name;
  } test_table;

extern test_table tests[ MAX_TEST ];
extern long int frequency[ 256 ];

/*********************************************************************/
