/*********************************************************************/
/* table.c      v 1.0      by J.Sobczyk IAPW       1993.04.26  19:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* Table conversion procedures.                                      */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int table_get( void )
  {
  int ch;
  int i;

  ch = getc( inp );
  if (ch == EOF)
    return ch;
  
  for (i=0; i< 2*POL_NR; i++)
    if ((char) ch == (*inp_tbl)[i][0])
      return POL_CHAR | (*inp_tbl)[i][1];
  return ch;
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void table_put( int ch )
  {
  int i;

  if (ch == EOF)
    ;
  else if (ch & POL_CHAR)
    {
    ch &= 0x0FF;
    for (i=0; i< 2*POL_NR; i++)
      if ((char) ch == (*out_tbl)[i][1])
	fputc( (*out_tbl)[i][0], out );
    }
  else
    fputc( ch, out );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int table_test( code_tbl *table )
  {
  int i;
  int ch;
  int hits;
  int fails;

  hits	= 0;
  fails	= 0;
  for (ch=128; ch<256; ch++)
    fails += frequency[ ch ];

  for (i=0; i< 2*POL_NR; i++)
    {
    hits  += frequency[ (*table)[i][0] & 0xFF ];
    fails -= frequency[ (*table)[i][0] & 0xFF ];
    }

/*  printf( "hits=%5d fails=%5d\n", hits, fails ); */

  return hits-fails;
  }

/*********************************************************************/
