/*********************************************************************/
/* windows.c    v 1.0      by J.Sobczyk IAPW       1993.04.26  19:00 */
/*                                                                   */
/* Polish document converter.                                        */
/* Microsoft Windows code page 1250                                  */
/*********************************************************************/
#include <stdio.h>
#include "polcnv.h"

/*-------------------------------------------------------------------*/
code_tbl windows_tbl = /* Microsoft Windows code page 1250 */
  {
    { '\xB9',  'a' },
    { '\xE6',  'c' },
    { '\xEA',  'e' },
    { '\xB3',  'l' },
    { '\xF1',  'n' },
    { '\xF3',  'o' },
    { '\x9C',  's' },
    { '\x9F',  'x' },
    { '\xBF',  'z' },
    { '\xA5',  'A' },
    { '\xC6',  'C' },
    { '\xCA',  'E' },
    { '\xA3',  'L' },
    { '\xD1',  'N' },
    { '\xD3',  'O' },
    { '\x8C',  'S' },
    { '\x8F',  'X' },
    { '\xAF',  'Z' }
  };

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void set_windows( char *name )
  {
  if      (inp_type == TYPE_UNSPECIFIED)
    {
    inp_type   = TYPE_WINDOWS;
    inp_name   = name;
    inp_get    = table_get;
    inp_tbl    = &windows_tbl;
    }
  else if (out_type == TYPE_UNSPECIFIED)
    {
    out_type   = TYPE_WINDOWS;
    out_name   = name;
    out_put    = table_put;
    out_tbl    = &windows_tbl;
    }
  else
    {
    fprintf( stderr, "Too many switches\a\n" );
    help();
    }
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
int test_windows( void )
  {
  return table_test( &windows_tbl );
  }

/*-------------------------------------------------------------------*/
/*-------------------------------------------------------------------*/
void init_windows( void )
  {
  tests[ TYPE_WINDOWS ].key		= "-w";
  tests[ TYPE_WINDOWS ].name		= "Microsoft Windows (code page 1250)";
  tests[ TYPE_WINDOWS ].set		= set_windows;
  tests[ TYPE_WINDOWS ].char_tst	= NULL;
  tests[ TYPE_WINDOWS ].freq_tst	= test_windows;
  }

/*********************************************************************/
